Infra APIVms
Upload files to a VM
Downloads files from signed URLs into /mnt/uploads inside a VM
POST
/api/v1/vms/{vm_id}/upload-filesDownloads files from signed URLs into /mnt/uploads inside a VM
Authorization
BearerAuth AuthorizationBearer <token>
Supabase JWT Bearer token
In: header
Path Parameters
vm_id*string
VM ID
Request Body
application/json
Files to upload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/vms/string/upload-files" \ -H "Content-Type: application/json" \ -d '{}'{ "failed": [ { "error": "string", "filename": "string" } ], "uploaded": [ { "filename": "string", "path": "string" } ]}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}